package Tutorial;
use strict;
use warnings;
use diagnostics;

use vars qw/@ISA/;
# Inherit stuff
@ISA=qw(XMPlugin);

sub new {
  my ($this,$title)=@_;
  my $class = ref($this) || $this;

  # construct parent object using library filename and classname in that library,
  # optionally set title
  my $self=new XMPlugin("tutorial","TutorialWidget",$title);
  return undef unless defined $self;
  bless $self,$class;

  return $self;
}

# Now we give real names to the functions defined in slotScriptingCall
sub setCaption {
  my ($self,$text)=@_;
  return $self->call(0,$text);
}

sub setMaxHealth {
  my ($self,$health)=@_;
  return $self->call(1, $health);
}

sub setHealth {
  my ($self,$health)=@_;
  return $self->call(2, $health);
}

# this function gets called when the QT widget emits callback().
# we never use this one in the tutorial, but I left the function here as reference
sub function {
  my ($self,$id,$args)=@_;

  return SUPER::function(@_);
}
