#include "gluecode.h"
#include "tutorialwidget.h"

// magic symbol to have kde unload the library
int __kde_do_unload = 1;

QObject* TutorialFactory::createObject(QObject* parent,
                                     const char* name, 
                                     const char* classname, 
                                     const QStringList &) 
{
  if (parent!=NULL && parent->inherits("QWidget")) {
    QWidget * parentWidget=static_cast<QWidget *>(parent);
    // If your library contains multiple widgets, you need to check 'classname' here
    // and create/return the right one.
    // this tutorial lib only contains one widget, so we can allways return that without checking
    return new TutorialWidget(parentWidget,name);
  }
  return NULL;
}

// adds some magic extern "C" wrapper code :)
// first param is the name of your lib, so don't rename it afterwards,
// second param is classname of the Factory Object
K_EXPORT_COMPONENT_FACTORY( tutorial, TutorialFactory );
